﻿use encoding "utf-8";
use constant S_HOME => '首頁';							        # Forwards to home page
use constant S_ADMIN => '管理';								# Forwards to Management Panel
use constant S_RETURN => '返回圖版';							# Returns to image board
use constant S_POSTING => '發帖模式: 回復';					        # Prints message in red bar atop the reply screen

use constant S_NAME => '個人代號';							# Describes name field
use constant S_EMAIL => '網站/郵箱';							# Describes e-mail field
use constant S_SUBJECT => '標題';						        # Describes subject field
use constant S_SUBMIT => '發送';							# Describes submit button
use constant S_COMMENT => '評語';						        # Describes comment field
use constant S_UPLOADFILE => '圖片';							# Describes file field
use constant S_NOFILE => '無附件';							# Describes file/no file checkbox
use constant S_CAPTCHA => '認證碼';							# Describes captcha field
use constant S_PARENT => '上級頁面';							# Describes parent field on admin post page
use constant S_DELPASS => '密碼';						        # Describes password field
use constant S_DELEXPL => '(用于删除文件/主題)';			                # Prints explanation for password box (to the right)

use constant S_THUMB => '略縮圖, 點擊察看完整版本.';	                                # Prints instructions for viewing real source
use constant S_HIDDEN => '略縮圖被隱藏, 點擊文件名察看原圖';	                        # Prints instructions for viewing hidden image reply
use constant S_NOTHUMB => '無<br />略縮圖';						# Printed when there's no thumbnail
use constant S_PICNAME => '文件: ';							# Prints text before upload name/link
use constant S_REPLY => '回復';							        # Prints text for reply link
use constant S_OLD => '删除標記(old).';					                # Prints text to be displayed before post is marked for deletion, see: retention
use constant S_ABBR => '%d個回復被忽略, 點擊[回復]察看';			        # Prints text to be shown when replies are hidden
use constant S_ABBRIMG => '%d個回復以及%d張圖片被忽略, 點擊[回復]察看';			# Prints text to be shown when replies and images are hidden
use constant S_ABBRTEXT => '回復內容較長, 點擊<a href="%s">這裏</a>察看完整文字';

use constant S_REPDEL => '删除主題 ';						        # Prints text next to S_DELPICONLY (left)
use constant S_DELPICONLY => '僅文件';						        # Prints text next to checkbox for file deletion (right)
use constant S_DELKEY => '密碼 ';							# Prints text next to password field for deletion (left)
use constant S_DELETE => '删除';							# Defines deletion button's name

use constant S_PREV => '上一頁';							# Defines previous button
use constant S_FIRSTPG => '上一頁';							# Defines previous button
use constant S_NEXT => '下一頁';							# Defines next button
use constant S_LASTPG => '下一頁';							# Defines next button

use constant S_WEEKDAYS => ('周日','周一','周二','周三','周四','周五','周六');	        # Defines abbreviated weekday names.

use constant S_MANARET => '返回';							# Returns to HTML file instead of PHP--thus no log/SQLDB update occurs
use constant S_MANAMODE => '管理模式';						        # Prints heading on top of Manager page

use constant S_MANALOGIN => '店長登錄';						        # Defines Management Panel radio button--allows the user to view the management panel (overview of all posts)
use constant S_ADMINPASS => '管理密碼:';						# Prints login prompt

use constant S_MANAPANEL => '管理面板';							# Defines Management Panel radio button--allows the user to view the management panel (overview of all posts)
use constant S_MANABANS => '取締/允許';							# Defines Bans Panel button
use constant S_MANAPROXY => '代理面板';
use constant S_MANASPAM => '垃圾郵件';							# Defines Spam Panel button
use constant S_MANASQLDUMP => 'SQL Dump';						# Defines SQL dump button
use constant S_MANASQLINT => 'SQL 查詢';						# Defines SQL interface button
use constant S_MANAPOST => '店長發言';							# Defines Manager Post radio button--allows the user to post using HTML code in the comment box
use constant S_MANAREBUILD => '重建緩存';						# 
use constant S_MANANUKE => '自爆';							# 
use constant S_MANALOGOUT => '登出';							# 
use constant S_MANASAVE => '記住我';				                        # Defines Label for the login cookie checbox
use constant S_MANASUB => 'Go';							        # Defines name for submit button in Manager Mode

use constant S_NOTAGS => '允許HTML標簽, 不自動排版——你需要使用HTML標簽來換行';        # Prints message on Management Board

use constant S_MPDELETEIP => '全部删除';
use constant S_MPDELETE => '删除';							# Defines for deletion button in Management Panel
use constant S_MPRESET => '重置';							# Defines name for field reset button in Management Panel
use constant S_MPONLYPIC => '僅文件';						        # Sets whether or not to delete only file, or entire post/thread
use constant S_MPDELETEALL => '全部删除';						# 
use constant S_MPBAN => '禁止';								# Sets whether or not to delete only file, or entire post/thread
use constant S_MPTABLE => '<th>主題號碼.</th><th>時間</th><th>標題</th>'.
                          '<th>ID</th><th>內容</th><th>IP</th>';	                # Explains names for Management Panel
use constant S_IMGSPACEUSAGE => '[ Space used: %d KB ]';				# Prints space used KB by the board under Management Panel

use constant S_BANTABLE => '<th>類型</th><th>設定值</th><th>內容</th><th>操作</th>';    # Explains names for Ban Panel
use constant S_BANIPLABEL => 'IP';
use constant S_BANMASKLABEL => 'Mask';
use constant S_BANCOMMENTLABEL => '內容';
use constant S_BANWORDLABEL => '文字';
use constant S_BANIP => '禁止IP';
use constant S_BANWORD => '禁止用詞';
use constant S_BANWHITELIST => '允許列表';
use constant S_BANREMOVE => '移除';
use constant S_BANCOMMENT => '內容';
use constant S_BANTRUST => 'No captcha';
use constant S_BANTRUSTTRIP => '<a href="http://en.wikipedia.org/wiki/Tripcode" target="_blank">Tripcode</a>';

use constant S_PROXYTABLE => '<th>類型</th><th>IP</th><th>過期</th><th>時間</th>';      # Explains names for Proxy Panel
use constant S_PROXYIPLABEL => 'IP';
use constant S_PROXYTIMELABEL => '允許時間(秒)';
use constant S_PROXYREMOVEBLACK => 'Remove';
use constant S_PROXYWHITELIST => '允許列表';
use constant S_PROXYDISABLED => '代理監察正處于關閉狀態';
use constant S_BADIP => 'Bad IP value';

use constant S_SPAMEXPL => '以下是一列被Wakaba認爲是spam的域名<br />'.
                           '你可以在<a href="http://wakaba.c3.cx/antispam/antispam.pl?action=view&amp;format=wakaba">這裏</a>找到最新的列表,'.
                           '亦可從<a href="http://wakaba.c3.cx/antispam/spam.txt">官網</a>下載最新的<code>spam.txt</code>文件';
use constant S_SPAMSUBMIT => '保存';
use constant S_SPAMCLEAR => '清除';
use constant S_SPAMRESET => '恢復';

use constant S_SQLNUKE => '自爆口令:';
use constant S_SQLEXECUTE => '執行';

use constant S_TOOBIG => '這張圖片太大了哦!';
use constant S_TOOBIGORNONE => '這張圖片太大了哦, 或者是你沒指明圖片';
use constant S_REPORTERR => 'Error: 無法找到回復';					# Returns error when a reply (res) cannot be found
use constant S_UPFAIL => 'Error: 上傳失敗';						# Returns error for failed upload (reason: unknown?)
use constant S_NOREC => 'Error: 無法找到記錄';						# Returns error when record cannot be found
use constant S_NOCAPTCHA => 'Error: 沒有填入認證碼 - 或是認證碼過期';	                # Returns error when there's no captcha in the database for this IP/key
use constant S_BADCAPTCHA => 'Error: 錯誤的認證碼';		                        # Returns error when the captcha is wrong
use constant S_BADFORMAT => 'Error: 暫時還不支持這種格式';			        # Returns error when the file is not in a supported format.
use constant S_STRREF => 'Error: 非法字符';					        # Returns error when a string is refused
use constant S_UNJUST => 'Error: 非法回復';						# Returns error on an unjust POST - prevents floodbots or ways not using POST method?
use constant S_NOPIC => 'Error: 沒有選中文件, 你忘了點[回復]嗎??';	                # Returns error for no file selected and override unchecked
use constant S_NOTEXT => 'Error: 沒有內容';						# Returns error for no text entered in to subject/comment
use constant S_TOOLONG => 'Error: 內容太多, 這是圖版耶';		                # Returns error for too many characters in a given field
use constant S_NOTALLOWED => 'Error: 不允許回復';					# Returns error for non-allowed post types
use constant S_UNUSUAL => 'Error: 异常回復';						# Returns error for abnormal reply? (this is a mystery!)
use constant S_BADHOST => 'Error: 本IP暫時被封';					# Returns error for banned host ($badip string)
use constant S_BADHOSTPROXY => 'Error: 本代理被封';	                                # Returns error for banned proxy ($badip string)
use constant S_RENZOKU => 'Error: 重複灌水, 回復删除';			                # Returns error for $sec/post spam filter
use constant S_RENZOKU2 => 'Error: 重複灌水, 文件删除';		                        # Returns error for $sec/upload spam filter
use constant S_RENZOKU3 => 'Error: 重複灌水';					        # Returns error for $sec/similar posts spam filter.
use constant S_PROXY => 'Error: 檢查到代理';						# Returns error for proxy detection.
use constant S_DUPE => 'Error: 本文件已經被發表過一次, 點<a href="%s">這裏</a>.';	# Returns error when an md5 checksum already exists.
use constant S_DUPENAME => 'Error: 相同文件名已存在';	                                # Returns error when an filename already exists.
use constant S_NOTHREADERR => 'Error: 主題不存在';				        # Returns error when a non-existant thread is accessed
use constant S_BADDELPASS => 'Error: 錯誤的删除密碼';		                        # Returns error for wrong password (when user tries to delete file)
use constant S_WRONGPASS => 'Error: 管理密碼錯誤';		                        # Returns error for wrong password (when trying to access Manager modes)
use constant S_VIRUS => 'Error: 文件可能包含病毒';				        # Returns error for malformed files suspected of being virus-infected.
use constant S_NOTWRITE => 'Error: 無法寫入';				                # Returns error when the script cannot write to the directory, the chmod (777) is wrong
use constant S_SPAM => 'SPAM者死!';		                                        # Returns error when detecting spam

use constant S_SQLCONF => '數據庫連接錯誤';						# Database connection failure
use constant S_SQLFAIL => '嚴重數據庫錯誤';						# SQL Failure

use constant S_REDIR => '如果自動轉向無法使用, 請自行選擇以下鏡像網站:';                # Redir message for html in REDIR_DIR

no encoding;
1;
